Part Circle/de: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 20: Line 20:
==Beschreibung==
==Beschreibung==


Ein [[Image:Part_Circle.svg|24px]] '''Part Kreis''' ist ein parametrischer Volumenkörper, der mit dem Befehl [[Image:Part_Primitives.svg|24px]] [[Part_Primitives/de|Part Grundelemente]] erstellt werden kann. Im Koordinatensystem durch ihre {{PropertyData/de|Placement}} festgelegt, liegt der Kreis auf der XY-Ebene mit seinem Mittelpunkt im Ursprung.
<div class="mw-translate-fuzzy">
Dieser Befehl erzeugt eine zirkulär gebogene Kante. Mit den Standardvorgaben wird diese Kante geschlossen und dadurch ein Kreis sein. Wenn die Eigenschaften Angle 0 oder Angle 1 andere Werte als die Vorgaben (0 und 360) haben, ist die Kante eine offene Kurve, also ein Kreisbogen.
</div>


A Part Circle is in fact a closed counterclockwise circular arc, it can be turned into an arc by changing its {{PropertyData|Angle1}} and/or {{PropertyData|Angle2}} properties.
A Part Circle is in fact a closed counterclockwise circular arc, it can be turned into an arc by changing its {{PropertyData|Angle1}} and/or {{PropertyData|Angle2}} properties.

Revision as of 15:16, 20 April 2022

Part Kreis

Menüeintrag
Formteil → Create primitives → Kreis
Arbeitsbereich
Part, OpenSCAD
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Part Grundelemente

Beschreibung

Ein Part Kreis ist ein parametrischer Volumenkörper, der mit dem Befehl Part Grundelemente erstellt werden kann. Im Koordinatensystem durch ihre Daten-EigenschaftPlacement festgelegt, liegt der Kreis auf der XY-Ebene mit seinem Mittelpunkt im Ursprung.

A Part Circle is in fact a closed counterclockwise circular arc, it can be turned into an arc by changing its DatenAngle1 and/or DatenAngle2 properties.

Anwendung

See Part Primitives.

A Part Circle can alternatively be created by selecting three points:

  1. In the task panel of the Part Primitives command select the Circle option from the dropdown list.
  2. Press the From three points button.
  3. Select three vertices in the 3D view. There is no need to hold down the Ctrl key.
  4. A circle is created.
  5. The selected vertices are only used at creation time to calculate the DatenRadius and DatenPlacement of the circle.

Example

Part Circle from the scripting example

A Part Circle object created with the scripting example below is shown here.

Eigenschaften

See also: Property editor.

A Part Circle object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • DatenRadius: Der Radius der gebogenen Kante (Kreisbogen oder Kreis)
  • DatenWinkel 0: Startwinkel der gebogenen Kante (in Grad, gegen Uhrzeigersinn), Standardwert ist 0
  • DatenWinkel 1: Endwinkel der gebogenen Kante (in Grad, gegen Uhrzeigersinn), Standardwert ist 360

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Circle can be created with the addObject() method of the document:

circle = FreeCAD.ActiveDocument.addObject("Part::Circle", "myCircle")
  • Where "myCircle" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

circle = doc.addObject("Part::Circle", "myCircle")
circle.Radius = 10
circle.Angle1 = 45
circle.Angle2 = 225
circle.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()